source ("~/Documents/research/R_Latex_help/R_basic_functions.R")
setwd ("~/Dropbox/bank_crises/Data/")
Short.Data <- read.table ("Short_Data.txt", header=T, sep="\t")

Basic.Data <- Short.Data[Short.Data$democratic.spell==1, !is.element(colnames(Short.Data),c("year.x.1","year.x.2","year.x.3"))]

Basic.Data$frac <- Basic.Data$frac+0.0001
Basic.Data$POLCONV <- Basic.Data$POLCONV+0.0001
Basic.Data$LEGFRA.lower <- Basic.Data$LEGFRA.lower+0.0001

Basic.Data$herfgov <- Basic.Data$herfgov-0.0001
Basic.Data$herfopp <- Basic.Data$herfopp-0.0001
Basic.Data$herftot <- Basic.Data$herftot-0.0001


library (Amelia)
Imputed.Dataset <- amelia (Basic.Data, m=5, p2s=1, idvars=c("execme","dateleg","LEGFRA.upper","dateexec","legelec","exelec","party","democratic.spell"), ts="year.x", cs="ccname", polytime=3, intercs=TRUE, lags=c("openk","grgdpl2","rgdpl2","kaopen","step.inflation"), logs=c("openk","rgdpl2","step.inflation"), lgstc=c("herfgov","herfopp","herftot","frac","POLCONV","LEGFRA.lower"), noms=c("system","execrlc"), ords=c("cumulative.bank.crises"), incheck=TRUE)

save.image ("amelia_imputation.RData")

Imputed.Dataset.2 <- amelia (Basic.Data, m=1, p2s=1, idvars=c("execme","dateleg","LEGFRA.upper","dateexec","legelec","exelec","party","democratic.spell"), ts="year.x", cs="ccname", polytime=3, intercs=TRUE, lags=c("openk","grgdpl2","rgdpl2","kaopen","step.inflation"), logs=c("openk","rgdpl2","step.inflation"), lgstc=c("herfgov","herfopp","herftot","frac","POLCONV","LEGFRA.lower"), noms=c("system","execrlc"), ords=c("cumulative.bank.crises"), incheck=TRUE)


save.image ("amelia_imputation.RData")

Imputed.Dataset[[1]][[2]] <- Imputed.Dataset.2[[1]][[1]]
rm (Imputed.Dataset.2)
save.image ("amelia_imputation.RData")
